Package org.eclipse.spi.net4j

## Class ChannelContainer

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.ShareableLifecycle
      - - org.eclipse.net4j.util.container.Container<E>
        - - org.eclipse.net4j.util.container.SetContainer<IChannel>
          - - org.eclipse.spi.net4j.ChannelContainer

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IContainer<IChannel>`, `org.eclipse.net4j.util.container.IContainer.Modifiable<IChannel>`, `org.eclipse.net4j.util.container.IContainer.Persistable<IChannel>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

      public class ChannelContainer
      extends org.eclipse.net4j.util.container.SetContainer<IChannel>

  Since:
    4.13
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChannelContainer​(org.eclipse.net4j.util.container.IContainer<?> delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addChannel​(IChannel channel)` |
    `protected void` | `doActivate()` |
    `protected void` | `doDeactivate()` |
    `protected void` | `notifyChannelEvent​(org.eclipse.net4j.util.event.IEvent event)` |
    `protected void` | `notifyProtocolEvent​(org.eclipse.net4j.util.event.IEvent event)` |
    `protected void` | `removeChannel​(IChannel channel)` |

    - ### Methods inherited from class org.eclipse.net4j.util.container.SetContainer

      `addAllElements, addElement, clear, containerModified, elementAdded, elementRemoved, getComponentType, getElements, getPersistence, getSet, isEmpty, isSavedWhenModified, load, removeAllElements, removeElement, save, setPersistence, sortElements, validateElement`

    - ### Methods inherited from class org.eclipse.net4j.util.container.Container

      `fireContainerEvent, fireContainerEvent, fireContainerEvent, fireElementAddedEvent, fireElementRemovedEvent, fireElementsAddedEvent, fireElementsRemovedEvent, fireEvent, newContainerEvent, newContainerEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### ChannelContainer

          public ChannelContainer​(org.eclipse.net4j.util.container.IContainer<?> delegate)

  - ### Method Detail

    - #### notifyChannelEvent

          protected void notifyChannelEvent​(org.eclipse.net4j.util.event.IEvent event)

    - #### notifyProtocolEvent

          protected void notifyProtocolEvent​(org.eclipse.net4j.util.event.IEvent event)

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `org.eclipse.net4j.util.container.SetContainer<IChannel>`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `org.eclipse.net4j.util.container.SetContainer<IChannel>`
      Throws:
        `java.lang.Exception`

    - #### addChannel

          protected void addChannel​(IChannel channel)

    - #### removeChannel

          protected void removeChannel​(IChannel channel)